summaryrefslogtreecommitdiff
path: root/tools/ci/scripts/rundyecmd.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2018-11-12 00:48:25 +0300
committerAndrei Karas <akaras@inbox.ru>2018-11-12 02:02:30 +0300
commit3e6ea8eeb0fb6cc72c2d4aaaf20e5633847e3737 (patch)
tree05084eb97f45ac0ffcb3d6e244de5550017184db /tools/ci/scripts/rundyecmd.sh
parent6f9db38b7fdd7f5bfccf0a53b348db3a76d5851b (diff)
downloadplus-3e6ea8eeb0fb6cc72c2d4aaaf20e5633847e3737.tar.gz
plus-3e6ea8eeb0fb6cc72c2d4aaaf20e5633847e3737.tar.bz2
plus-3e6ea8eeb0fb6cc72c2d4aaaf20e5633847e3737.tar.xz
plus-3e6ea8eeb0fb6cc72c2d4aaaf20e5633847e3737.zip
Test dyecmd in some ci jobs.
Diffstat (limited to 'tools/ci/scripts/rundyecmd.sh')
-rwxr-xr-xtools/ci/scripts/rundyecmd.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/ci/scripts/rundyecmd.sh b/tools/ci/scripts/rundyecmd.sh
new file mode 100755
index 000000000..57a229768
--- /dev/null
+++ b/tools/ci/scripts/rundyecmd.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+function testdye {
+ rm test1.png || true
+ echo ./src/dyecmd "data/icons/manaplus.png|$1" test1.png
+ ./src/dyecmd "data/icons/manaplus.png|$1" test1.png || exit 1
+ ls test1.png || exit 1
+ rm test1.png || true
+}
+
+export SDL_VIDEODRIVER="dummy"
+testdye "S:#3c3c3c,40332d,4d4d4d,5e4a3d,686868,705740,919191,a1825d,b6b6b6,b59767,dfdfdf,dbbf88"
+testdye "A:#3c3c3c00,40332d50"
+testdye "W:#743e66,955372,bd6f8c,e68e9a,f0b49c,efe1c7"